org.apache.maven.plugin

## Class PluginNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.artifact.resolver.AbstractArtifactResolutionException
      - - org.apache.maven.plugin.PluginNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class PluginNotFoundException
    extends AbstractArtifactResolutionException

Exception occurring trying to resolve a plugin.

Version:
  $Id: PluginNotFoundException.java 526578 2007-04-08 17:25:14Z brianf $
Author:
  Brett Porter
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PluginNotFoundException(ArtifactNotFoundException e)`

### Method Summary

### Methods inherited from class org.apache.maven.artifact.resolver.AbstractArtifactResolutionException

`constructArtifactPath, constructMissingArtifactMessage, getArtifact, getArtifactId, getArtifactPath, getClassifier, getGroupId, getOriginalMessage, getPath, getRemoteRepositories, getType, getVersion`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PluginNotFoundException

    public PluginNotFoundException(ArtifactNotFoundException e)